module "kubernetes_service" "kube2iam" {
  metadata {
    name = "kube2iam"

    labels {
      App = "kube2iam-service"
    }
  }

  type = "DaemonSet"

  spec {
    container {
      image = "${var.kube2iam-container}"
      name  = "kube2iam-container"
    }
  }

  port {
    port        = 8181
    target_port = 8181
  }
}
